Bug 47989 - Junk string appended to compressed dynamic content when no expiry set.
Summary: Junk string appended to compressed dynamic content when no expiry set.
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_deflate (show other bugs)
Version: 2.2.13
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2009-10-13 02:50 UTC by Mal
Modified: 2018-11-07 21:09 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mal 2009-10-13 02:50:13 UTC
When no expiry is set for deflated dynamic content (i.e. PHP) a junk string is appended to any output, and mod_deflate fails, sending an uncompressed, chunked output.

To reproduce, compile with mod_deflate and mod_expires. Don't set any expires directives, set mod_deflate to gzip index.php.

Source: index.php
<?
 print 'hello';
?>
&nbsp;world

Output: index.php (escaped for readability)
hello%20world%20%1F%u2039%08%uFFFD%uFFFD%uFFFD%uFFFD%uFFFD%uFFFD%03%03%uFFFD%uFFFD%uFFFD%uFFFD%uFFFD%uFFFD%uFFFD%uFFFD%uFFFD

I've encountered this with both mod_mime's AddOutputFilter and mod_filter's FilterChain directives, hence choosing to classify it as mod_expires related.

I know this bug includes use of third party software, but I'd appreciated it if someone could at least give it a cursory look over.

Cheers.
Comment 1 Mal 2009-10-14 01:30:21 UTC
This is now occuring while expiries are set, I'll recompile without a few modules and report back.
Comment 2 William A. Rowe Jr. 2018-11-07 21:09:33 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.